import axios from './http';

/**  登录相关   **/
// 登录
export function Login(data) {
  return axios({
    url: '/admin/my/login',
    method: 'post',
    data: data
  })
}
// 根据用户id 拿到默认的 颜色 和 导航栏
export function findOne(data) {
  return axios({
    url: '/admin/account/findOne',
    method: 'get',
    params: data
  })
}

// 根据id 修改 默认样式 导航
export function findUpdate(data) {
  return axios({
    url: '/admin/account/update',
    method: 'post',
    data: data
  })
}

/**  系统管理api  **/
// 获取菜单用户列表
export function getUserMenu(data) {
  return axios({
    url: '/admin/auth/getMyMenu',
    method: 'post',
    params: data
  })
}

// 拿到菜单用户列表
export function getUserMenuAndButon(data) {
  return axios({
    url: '/admin/auth/getMyMenuAndButton',
    method: 'post',
    params: data,
  })
}

// 拿到按钮权限
export function getMyButton(data) {
  return axios({
    url: '/admin/auth/getMyButton',
    method: 'get',
    params: data
  })
}

// 获取纯菜单(不带按钮)
export function getMenuList() {
  return axios({
    url: '/admin/menu/list1',
    method: 'post',
  })
}

// 获取菜单列表
export function getMenu() {
  return axios({
    url: '/admin/menu/list',
    method: 'post'
  })
}

// 菜单添加
export function addMenu(data) {
  return axios({
    url: '/admin/menu/add',
    method: 'post',
    data: data
  })
}

// 菜单编辑
export function editMenu(data) {
  return axios({
    url: '/admin/menu/edit',
    method: 'post',
    data: data
  })
}

// 菜单删除
export function delMenu(data) {
  return axios({
    url: '/admin/menu/remove',
    method: 'post',
    params: data
  })
}

// 权限列表
export function getAuth(data) {
  return axios({
    url: '/admin/group/list',
    method: 'post',
    data: data
  })
}

// 权限列表删除
export function delAuth(data) {
  return axios({
    url: '/admin/group/remove',
    method: 'post',
    params: data
  })
}

// 新增权限组
export function addAuth(data) {
  return axios({
    url: '/admin/group/add',
    method: 'post',
    data: data
  })
}

// 编辑权限组
export function editAuth(data) {
  return axios({
    url: '/admin/group/edit',
    method: 'post',
    data: data
  })
}

// 权限分配列表(上次保存的菜单)
export function getMenuByGroup(data) {
  return axios({
    url: '/admin/auth/getMenuByGroup',
    method: 'get',
    params: data
  })
}

// 权限分配保存
export function saveGroupMenu(data) {
  return axios({
    url: '/admin/auth/saveGroupMenu',
    method: 'post',
    data: data
  })
}

// 用户分配(上次保存的用户id)
export function getAcountByGroup(data) {
  return axios({
    url: '/admin/auth/getAcountByGroup',
    method: 'get',
    params: data
  })
}

// 用户分配保存
export function saveAccountGroup(data) {
  return axios({
    url: '/admin/auth/saveAccountGroup',
    method: 'post',
    data: data
  })
}

// 获取用户列表
export function getUserList(data) {
  return axios({
    url: '/admin/user/list',
    method: 'post',
    data: data
  })
}

// 用户添加
export function addUser(data) {
  return axios({
    url: '/admin/user/add',
    method: 'post',
    data: data
  })
}

// 用户编辑
export function editUser(data) {
  return axios({
    url: '/admin/user/edit',
    method: 'post',
    data: data
  })
}

// 是否启用账号
export function isUser(data) {
  return axios({
    url: '/admin/account/setAccountStatus',
    method: 'post',
    params: data
  })
}

// 用户删除
export function delUser(data) {
  return axios({
    url: '/admin/user/remove',
    method: 'get',
    params: data
  })
}


/**
 *
 * 视频监控部分
 * **/

// 监控区域列表
export function areaList(data) {
  return axios({
    url: '/video/cameraArea/list',
    method: 'post',
    data: data
  })
}

// 监控区域删除
export function delArea(data) {
  return axios({
    url: '/video/cameraArea/remove',
    method: 'get',
    params: data
  })
}

// 监控区域添加
export function addArea(data) {
  return axios({
    url: '/video/cameraArea/add',
    method: 'post',
    data: data
  })
}

// 监控区域编辑
export function editArea(data) {
  return axios({
    url: '/video/cameraArea/update',
    method: 'post',
    data: data
  })
}

// 摄像头品牌列表
export function brandList(data) {
  return axios({
    url: '/video/cameraBrand/list',
    method: 'post',
    data: data
  })
}

// 品牌添加
export function addBarand(data) {
  return axios({
    url: '/video/cameraBrand/add',
    method: 'post',
    data: data
  })
}

// 品牌删除
export function delBarand(data) {
  return axios({
    url: '/video/cameraBrand/remove',
    method: 'get',
    params: data
  })
}

// 品牌编辑
export function editBarand(data) {
  return axios({
    url: '/video/cameraBrand/update',
    method: 'post',
    data: data
  })
}

// 监控管理列表
export function videoList(data) {
  return axios({
    url: '/video/camera/list',
    method: 'post',
    data: data
  })
}
// 监控是否启用
export function videoSwitch(data) {
  return axios({
    url: '/video/camera/updateStatus',
    method: 'get',
    params: data
  })
}
// 监控删除
export function delVideo(data) {
  return axios({
    url: '/video/camera/remove',
    method: 'get',
    params: data
  })
}
// 监控添加
export function addVideo(data) {
  return axios({
    url: '/video/camera/add',
    method: 'post',
    data: data
  })
}
// 监控编辑
export function editVideo(data) {
  return axios({
    url: '/video/camera/update',
    method: 'post',
    data: data
  })
}

// 根据id获取摄像头
export function getVideo(data) {
  return axios({
    url: '/video/camera/getCameraDetails',
    method: 'get',
    params: data
  })
}